Page MenuHomePhabricator

Clean all the mess around KMP_USE_FUTEX and kmp_lock.h
ClosedPublic

Authored by pawosm01 on Apr 27 2016, 2:59 PM.

Details

Summary

KMP_USE_FUTEX preprocessor definition defined in kmp_lock.h is used
inconsequently throughout LLVM libomp code.

  • some .c files that use this define do not include kmp_lock.h file, in effect guarded part of code are never compiled
  • some places in code use architecture-depending preprocessor logic expressions which effectively disable use of Futex for AArch64 architecture, all these places should use '#if KMP_USE_FUTEX' instead to avoid any further confusions
  • some places use KMP_HAS_FUTEX which is nowhere defined, KMP_USE_FUTEX should be used instead

Diff Detail

Repository
rL LLVM

Event Timeline

pawosm01 updated this revision to Diff 55331.Apr 27 2016, 2:59 PM
pawosm01 retitled this revision from to Clean all the mess around KMP_USE_FUTEX and kmp_lock.h.
pawosm01 updated this object.
pawosm01 set the repository for this revision to rL LLVM.
pawosm01 added a subscriber: openmp-commits.
hbae edited edge metadata.May 13 2016, 12:02 PM

The change looks good to me.

In D19629#429892, @hbae wrote:

The change looks good to me.

Can it land?

AndreyChurbanov accepted this revision.May 16 2016, 2:24 AM
AndreyChurbanov edited edge metadata.

LGTM

This revision is now accepted and ready to land.May 16 2016, 2:24 AM
This revision was automatically updated to reflect the committed changes.